<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddAmStartToProductSchedule extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('product_schedule', function (Blueprint $table) {
            $table->dropColumn(['am_time','pm_time']);
            $table->string('am_start',64)->comment('上午开始时间');
            $table->string('am_end',64)->comment('上午结束时间');
            $table->string('pm_start',64)->comment('下午开始时间');
            $table->string('pm_end',64)->comment('下午结束时间');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('product_schedule', function (Blueprint $table) {
            //
        });
    }
}
